Netware Command Line Parameters and Keywords -- C100

# NetWare* ANS Command Line Parameters and Keywords

The following NetWare keywords are applicable for the Netware ANS driver.

| NOTE: Always type IANS before the keyword and include the team number in the command line if more than one team exists.

See also EXAMPLES files for usage.

Parameter | Description | Example
--- | --- | ---
HELP or -h -h<keyword> | Used alone, this command shows a list of all known ANS keywords. If it is followed by a keyword, a specific help message is displayed for that keyword. | `-h probes`
STATUS | Displays the status of the team. If more than one team exists, the team name must be included. | `load ians status team=1`
NAME | Gives user the ability to set a unique string identifier for each virtual adapter (team or VLAN). | `load ians frame=ethernet_II name=server1`
TEAM | Assigns unique numeric identifier for each virtual adapter (team or VLAN). The number can be user-assigned or machine-generated. Range = 0-9999. Default = 1 and increments by one. |

MODE

Sets the teaming type for the given team. Modes=AFT | ALB | SFT | FEC | GEC | AD. Default=AFT.

AFT | Adapter Fault Tolerance
ALB | Adaptive Load Balancing
SFT | Switch Fault Tolerance
FEC | Fast EtherChannel (*used here to include Intel Link Aggregation and static 802.3ad)
GEC | Gigabit EtherChannel (*used here to include Intel Link Aggregation and static 802.3ad)
AD | IEEE 802.3ad teaming mode

`load ians commit mode=ALB team=2`

BIND | Matches physical adapters to specific drivers and virtual adapters to protocols. |
COMMIT | Used after binding all underlying base drivers as team members before binding to the protocol. | `load ians commit mode=ALB team=2`
RECOMMIT | Used to dynamically add members or VLANs to an existing team. |
REMOVETEAM | Used to remove any team by number except the last team. | `ians removeteam=2`
PRIMARY | Allows user to set the primary adapter. If not specified, the default is the first team member. | `bind ians ce100b primary`
SECONDARY | Allows user to set the secondary adapter. | `bind ians ce100b secondary`
NO_DEFAULT_PRIMARY | Allows user to block the software from choosing the first team member as the primary. | `bind ians no_default_primary`
SMPMODE | Enables SMP awareness. Values=SMP | NONSMP. Default matches the machine. Use only on first load ians line. | `load ians smpmode=smp frame=ethernet_II`
TX_ECBS_TO_USE | Sets the number of ECBs (buffers) in RAM for each virtual adapter (team or VLAN). Range = 0-9999; Default = 64. Use on load line. |
MAX_TX_QUEUE | Sets the depth of the transmit queues. Range = 0-9999. Default = 1000 |
RESET LBN | Resets a particular virtual adapter (logical board number). |
DELAY | Sets the time interval, in minutes, before actual commit. Range = 0-5. Default = 0. | `load ians commit mode=ALB delay=5`

The following commands are specific to certain modes only. Probe settings are only applicable in AFT and ALB modes.

When setting intervals for different probe commands, note that a "tic" is a unit of time equal to 110 milliseconds.

| NOTE: Always include the team number in the command line if more than one team exists.

Parameter | Valid Range | Default Value | Description
--- | --- | --- | ---
VLANID | 1 - 4095 | n/a | Creates a virtual adapter with a specific VLAN number (must match network).
REMOVEVLANID |  |  | Removes the set VLANID
PROBES | ON | OFF BROADCAST | MULTICAST | ON, BROADCAST | Allows checking for link state between team members (optional). Only for AFT or ALB teams of more than 1 adapter using ETHERNET_II or ETHERNET_SNAP.
PROBE_RETRY_COUNT | 0 - 9999 | 7 | Number of times probes will be resent before deciding the link is down.
PROBE_BURST_SIZE | 1 - 9999 | 3 | Number of back to back probes to send (to attempt to get through heavy traffic).
PROBE_SET_DEFAULT |  |  | Resets all probe-related parameters except PROBES
PROBE_SEND_INTERVAL | 4 - 9998 | 18 tics | Sets the time interval between probe transmissions.
PROBE_CHECK_INTERVAL | 0 - 9998 | 2 tics | Sets the time interval between probe checks (returns).
PROBE_RECHECK_INTERVAL | 0 - 9998 | 2 tics | Sets the time interval between probe checks during retries.
BALANCE_INTERVAL | 18 - 1080 | 180 tics | Sets the amount of time between load balance checks (not AFT and SFT).
STFORWARD_DELAY | 0 - 255 | 15 | Sets the SFT failover delay for SFT mode. Should be the max spanning tree forward delay for the switches connected to the server. Range = 0-255. Default = 15.
RLBMODE | Enable/Disable | Enable | Enable/disable the receive load balancing in the ALB team mode.

`Last modified on 2/03/05 10:16a Revision 1`